unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComObj, StdCtrls, ExtDlgs;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    Button3: TButton;
    Button4: TButton;
    ColorDialog1: TColorDialog;
    Label1: TLabel;
    Button5: TButton;
    Button2: TButton;
    Label2: TLabel;
    ComboBox1: TComboBox;
    Label3: TLabel;
    ComboBox2: TComboBox;
    Label4: TLabel;
    Edit1: TEdit;
    Label5: TLabel;
    ComboBox3: TComboBox;
    Label6: TLabel;
    ComboBox4: TComboBox;
    Label7: TLabel;
    ComboBox5: TComboBox;
    Button6: TButton;
    OpenPictureDialog1: TOpenPictureDialog;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    Button11: TButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    procedure Slide1(Sender: TObject);
    { Private declarations }
  public
    { Public declarations }
  end;
const
//  
  ppBackground = $00000001;
  ppForeground = $00000002;
  ppShadow     = $00000003;
  ppTitle      = $00000004;
  ppFill       = $00000005;
  ppAccent1    = $00000006;
  ppAccent2    = $00000007;
  ppAccent3    = $00000008;
// 
  ppDefaultStyle = $00000001;	//  
  ppTitleStyle   = $00000002;	//  
  ppBodyStyle    = $00000003;	//  

var
  Form1: TForm1;

implementation
var
  W:Variant;
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  W:=CreateOleObject('PowerPoint.Application');
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  W.Visible:=CheckBox1.Checked;
end;

procedure TForm1.Button3Click(Sender: TObject);
const
  msoShapeHexagon = 10;
var
 V: Variant;
begin
 W.Presentations.Add;
 W.ActivePresentation.Slides.Add(1,1); //  - ppLayoutTitle
 Slide1(Self); //  1- 
 W.ActivePresentation.Slides.Item(1).Shapes.AddShape(msoShapeHexagon, 50,5, 200,200);
 V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3)
   .TextFrame.TextRange;
 V.Characters(Start:=1,Length:=0).Text:='';
 //       
 V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
 V.BackColor.RGB:=RGB(0,0,255);
 V.ForeColor.RGB:=RGB(255,0,0);
end;

procedure TForm1.Slide1(Sender: TObject);
//  1- 
var
 V,V1: Variant;
begin
 V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(1)
   .TextFrame.TextRange;
 V.Characters(Start:=1,Length:=0).Text:='';
 V.Font.Name := 'Times New Roman';
 V.Font.Size := 44;
 V.Font.Bold := 0;  // msoFalse
 V.Font.Italic := 0; // msoFalse
 V.Font.Underline := 0; // msoFalse
 V.Font.Shadow := 0; // msoFalse
 V.Font.Emboss := 0; // msoFalse
 V.Font.BaseLineOffset := 0;
 V.Font.AutoRotateNumbers := 0; // msoFalse
 V.Font.Color.SchemeColor := 4; // ppTitle

 V1:=W.ActivePresentation.Slides.Item(1).Shapes.Item(2)
   .TextFrame.TextRange;
 V1.Characters(Start:=1,Length:=0).Text:='-' + Chr(13)
    + '  "  "';
 V1.Font.Name := 'Times New Roman';
 V1.Font.Size := 32;
 V1.Font.Bold := 0; // msoFalse
 V1.Font.Italic := 0; // msoFalse
 V1.Font.Underline := 0; // msoFalse
 V1.Font.Shadow := 0; // msoFalse
 V1.Font.Emboss := 0; // msoFalse
 V1.Font.BaseLineOffset := 0;
 V1.Font.AutoRotateNumbers := 0; // msoFalse
 V1.Font.Color.SchemeColor := 2; // ppForeground
end;


procedure TForm1.Button4Click(Sender: TObject);
begin
 W.Quit;
 Close;
end;


procedure TForm1.Button5Click(Sender: TObject);
//    (OneColorGradient)
var
  V: Variant;
  a,b: Integer;
  c: real;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
  a:=ComboBox1.ItemIndex+1; //  
  b:=ComboBox2.ItemIndex+1; // 
  c:=StrToFloat(Edit1.Text); //  
  V.OneColorGradient(a,b,c);
end;

procedure TForm1.Button7Click(Sender: TObject);
// -
var
  V: Variant;
  a: Integer;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
  a:=ComboBox3.ItemIndex+1; // 
  V.Patterned(a);
end;

procedure TForm1.Button8Click(Sender: TObject);
//     (PresetGradient)
var
  V: Variant;
  a,b,c: Integer;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
  a:=ComboBox1.ItemIndex+1; //  
  b:=ComboBox2.ItemIndex+1; // 
  c:=ComboBox4.ItemIndex+1; //  
  V.PresetGradient (a,b,c);
end;

procedure TForm1.Button9Click(Sender: TObject);
//   (PresetTextured)
var
  V: Variant;
  a: Integer;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
  a:=ComboBox5.ItemIndex+1; //  
  V.PresetTextured(a);
end;

procedure TForm1.Button10Click(Sender: TObject);
//    (TwoColorGradient)
var
  V: Variant;
  a,b: Integer;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
  a:=ComboBox1.ItemIndex+1; //  
  b:=ComboBox2.ItemIndex+1; // 
  V.TwoColorGradient(a,b);
end;

procedure TForm1.Button6Click(Sender: TObject);
//  
var
  V: Variant;
begin
  if OpenPictureDialog1.Execute then
  begin
    V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
    V.UserPicture(OpenPictureDialog1.FileName);
  end;
end;


procedure TForm1.Button2Click(Sender: TObject);
//    
var
  R,G,B: Byte; //  
  V: Variant;
begin
   if ColorDialog1.Execute then
   begin
    R:= ColorDialog1.Color and $FF;
    G:= (ColorDialog1.Color and $FF00) shr 8;
    B:= (ColorDialog1.Color and $FF0000) shr 16;
    V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
    V.ForeColor.RGB:=RGB(R,G,B);
   end;
end;

procedure TForm1.Button11Click(Sender: TObject);
//   
var
  R,G,B: Byte; //  
  V: Variant;
begin
   if ColorDialog1.Execute then
   begin
    R:= ColorDialog1.Color and $FF;
    G:= (ColorDialog1.Color and $FF00) shr 8;
    B:= (ColorDialog1.Color and $FF0000) shr 16;
    V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).Fill;
    V.BackColor.RGB:=RGB(R,G,B);
   end;
end;


end.
